Subject: Re: [PATCH net-next v4 03/11] net: dsa: realtek: convert variants into real drivers

From: Vladimir Oltean <[email-masked]>
Date: Mon, 29 Jan 2024 18:21:56 +0200

On Sun, Jan 28, 2024 at 08:34:29PM -0300, Luiz Angelo Daros de Luca wrote:
> > > + * This function should be used as the .shutdown in an mdio_driver. It shuts
> > > + * down the DSA switch and cleans the platform driver data.
> >
> > , to prevent realtek_mdio_remove() from running afterwards, which is
> > possible if the parent bus implements its own .shutdown() as .remove().
> 
> I didn't think that both could be called in sequence. I learned
> something today. Thanks.

And neither did I, until it happened to a user... More details in commit
0650bf52b31f ("net: dsa: be compatible with masters which unregister on
shutdown") after "However, complications arise really quickly".